Bug 144790 - local variable used before set
local variable used before set
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: nedit (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-11 11:23 EST by David Binderman
Modified: 2013-07-02 19:04 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-12 05:27:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Binderman 2005-01-11 11:23:14 EST
Description of problem:

I just tried to compile package nedit-5.5-1 from 
Redhat Fedora development tree.

The compiler said

server.c(357): remark #592: variable "tabbed" is used before its value
is set

The source code is

            EditNewFile(findWindowOnDesktop(tabbed, currentDesktop), NULL,
                        False, NULL, NULL);

Suggest init local variable "tabbed" before first use.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jindrich Novy 2005-01-12 05:27:55 EST
Fixed in nedit-5.5-2, thanks.

Note You need to log in before you can comment on or make changes to this bug.